package com.hzya.frame.sysnew.application.entity;


import com.hzya.frame.sysnew.application.api.entity.SysApplicationApiEntity;

import java.util.Map;

public class SysExtensionApiEntity {

    /**  head */
    private Map<String, String> headers;
    /**  query */
    private String querys;
    /**  body */
    private String bodys;
    //byteBodys
    private byte[] byteBodys;
    /**  发送方应用 */
    private SysApplicationEntity sendApp;
    /**  接收方应用 */
    private SysApplicationEntity receiveApp;
    /**  接收方api */
    private SysApplicationApiEntity receiveApi;

    public Map<String, String> getHeaders() {
        return headers;
    }

    public void setHeaders(Map<String, String> headers) {
        this.headers = headers;
    }

    public String getQuerys() {
        return querys;
    }

    public void setQuerys(String querys) {
        this.querys = querys;
    }

    public String getBodys() {
        return bodys;
    }

    public void setBodys(String bodys) {
        this.bodys = bodys;
    }

    public SysApplicationEntity getSendApp() {
        return sendApp;
    }

    public void setSendApp(SysApplicationEntity sendApp) {
        this.sendApp = sendApp;
    }

    public SysApplicationEntity getReceiveApp() {
        return receiveApp;
    }

    public void setReceiveApp(SysApplicationEntity receiveApp) {
        this.receiveApp = receiveApp;
    }

    public SysApplicationApiEntity getReceiveApi() {
        return receiveApi;
    }

    public void setReceiveApi(SysApplicationApiEntity receiveApi) {
        this.receiveApi = receiveApi;
    }

    public byte[] getByteBodys() {
        return byteBodys;
    }

    public void setByteBodys(byte[] byteBodys) {
        this.byteBodys = byteBodys;
    }
}

